QGIS Application - Feature request #3177
field calculator improvements: functions for strings
2010-11-01 02:39 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jirgen Fischer

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13237
Description

it would be nice to have:

*) a function for search/replace

*) a function to change everything to uppercase/lowercase

*) a function to calculate the length of a string

Associated revisions

Revision 8fb07b0c - 2010-11-08 01:01 PM - Jiirgen Fischer

[FEATURE] add field calculator functions (implements #3177)
- add support for functions with 2 or three arguments

- add function atan2(y,x)

- add length(string) to determine string length

- add replace(string,from,to) to do string replaces

- add substr(string,from,length) to retrieve substrings

- add (preliminary) online help to field calculator with a listing of operations.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14533 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7b9cb74f - 2010-11-08 01:01 PM - Jiirgen Fischer

[FEATURE] add field calculator functions (implements #3177)
- add support for functions with 2 or three arguments

- add function atan2(y,x)

- add length(string) to determine string length

- add replace(string,from,to) to do string replaces

- add substr(string,from,length) to retrieve substrings

- add (preliminary) online help to field calculator with a listing of operations.

git-svn-id: http://svn.osgeo.org/qgis/trunk@14533 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-11-06 09:50 AM - Jiirgen Fischer
- Status changed from Open to In Progress
http://svn.osgeo.org/qgis/trunk/qgis@14533
http://svn.osgeo.org/qgis/trunk@14533

the function upper() / lower() are already there.

#2 - 2010-11-06 09:51 AM - Jiirgen Fischer

see also .

#3 - 2010-11-14 06:52 AM - Jiirgen Fischer

fixed in commit:7b9cb74f (SVN r14534).

#4 - 2011-01-25 04:25 PM - Juirgen Fischer
- Resolution set to fixed

- Status changed from In Progress to Closed
